首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
Coding
V2EX  ›  前端开发

喜大普奔? WebStrom 官方支持 Vue.js 了……

  •  
  •   maplerecall · 2017-03-20 22:59:23 +08:00 · 3518 次点击
    这是一个创建于 998 天前的主题,其中的信息可能已经有所发展或是发生改变。

    mail

    刚刚收到的邮件,明天更新试试……

    现在的Vue插件虽然基本功能可以用,但还是存在一些格式化和eslint的缺陷,以及大把大把的自定义HTML标签和属性警官,官方支持了应该会比较完善了~

    第 1 条附言  ·  2017-03-21 00:52:55 +08:00
    刚刚无聊试了一下,会自动提示禁用旧的 vue 插件,新建文件里没有.vue 文件, template 里不支持 emmet (什么鬼,居然不支持), script 中 es6 没有问题, style 格式化好像有点点小问题……明天再研究_(:3 」∠)_
    6 回复  |  直到 2017-03-21 10:54:06 +08:00
        1
    SoulGem   2017-03-20 23:36:46 +08:00 via iPhone
    明天去看看,现有的插件 vue 文件老是突然不能识别 ES6 语法,一大片错误。。。
        2
    murmur   2017-03-20 23:46:48 +08:00
    不愧是宇宙间最强的非 c++/c# ide
    webstorm 愣是把 react 做出了写 java 的畅快感
    期待完善后的 vue 插件

    2016 版的 vue 插件还不如 vscode 呢,然而 vscode 的 vue 插件就高亮没 bug ,补全什么的也就是勉强可以用一用
        3
    think2011   2017-03-21 00:08:28 +08:00
    果真发布了正式版了,赞!
        4
    qinxg   2017-03-21 00:32:05 +08:00
    Export declarations are not supported by current JavaScript version

    JS 文件提示这个怎么解决呢?
        5
    qinxg   2017-03-21 00:36:11 +08:00
    补充下,我 js 哪里已经选成 es6 了。但还是这样
        6
    yuhuan66666   2017-03-21 10:54:06 +08:00
    IDEA 17.1 也提示了 vue.js 插件不兼容 ,也是因为这个么?
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   2188 人在线   最高记录 5043   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 24ms · UTC 11:09 · PVG 19:09 · LAX 03:09 · JFK 06:09
    ♥ Do have faith in what you're doing.